{{ ansible_managed | comment }}

[Unit]
Description=OpenTelemetry Collector
After=network-online.target

[Service]
EnvironmentFile=/etc/otelcol/otelcol.conf
ExecStart={{ _otelcol_command }}
ExecReload=kill -HUP $MAINPID
KillMode=mixed
Restart=on-failure
Type=simple
User={{ _otelcol_system_user }}
Group={{ _otelcol_system_group }}

#ProtectHome=yes
#NoNewPrivileges=yes
#ProtectSystem=strict
#ProtectControlGroups=true
#ProtectKernelModules=true
#ProtectKernelTunables=yes

[Install]
WantedBy=multi-user.target
